{#
/**
 * @file
 * Project Light implementation for status messages.
 *
 * Displays status, error, and warning messages, grouped by type.
 *
 * An invisible heading identifies the messages for assistive technology.
 * Sighted users see a colored box. See http://www.w3.org/TR/WCAG-TECHS/H69.html
 * for info.
 *
 * Add an ARIA label to the contentinfo area so that assistive technology
 * user agents will better describe this landmark.
 *
 * Available variables:
 * - message_list: List of messages to be displayed, grouped by type.
 * - status_headings: List of all status types.
 * - attributes: HTML attributes for the element, including:
 *   - class: HTML classes.
 *
 * @ingroup themeable
 */
#}
<div data-drupal-messages>
{% for type, messages in message_list %}
{% if type == 'status' %} {% set type, name = 'success', 'Success' %} {% endif %}
{% if type == 'warning' %} {% set type, name = 'alert', 'Alert' %} {% endif %}
{% if type == 'error' %} {% set type, name = 'warning', 'Warning' %} {% endif %}
  <div role="contentinfo" aria-label="{{ status_headings[type] }}"{{ attributes|without('role', 'aria-label') }}>
    <div class="campl-notifications-panel campl-{{ type }}-panel campl-notifications-container clearfix">
    <h2 class="visually-hidden">{{ name }}</h2>
    <div class="campl-column4">
    <p class="campl-notifications-icon campl-{{ type }}-icon">{{ name }}</p>
    </div>
    <div class="campl-column8">
    {% if messages|length > 1 %}
      <ul>
        {% for message in messages %}
          <li>{{ message }}</li>
        {% endfor %}
      </ul>
    {% else %}
      {{ messages|first }}
    {% endif %}
    </div>
  </div>
{% endfor %}
</div>
